#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Convert-ASN1
Version		:	0.33
Release		:	14.8.0.0%{?dist}
Summary		:	Mattch globbing patterns against text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Text::Unidecode

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Text::Glob implements glob(3) style matching that
can be used to match against text, rather than
fetching names from a filesystem. If you want to do
full file globbing use the File::Glob module instead.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_datadir}/perl5/core_perl/Convert/ASN1.pm
%{_datadir}/perl5/core_perl/Convert/ASN1.pod
%{_datadir}/perl5/core_perl/Convert/ASN1/*.pm
%{_mandir}/man3/Convert::ASN1.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}								\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog
